org.apache.sling.bgservlets

## Interface JobStatus

All Known Implementing Classes:
  SuspendableOutputStream

    public interface JobStatus

Provides info about a job

### Nested Class Summary

Nested Classes
`static class` `JobStatus.State`

### Field Summary

Fields
`static String` `STREAM_PATH_SUFFIX` Suffix used to build the job's stream path

### Method Summary

Methods
`JobStatus.State[]` `getAllowedHumanStateChanges()` Indicate which state changes a human user can currently request, based on our state.
`Date` `getCreationTime()` Return the job's creation time
`String` `getPath()` Path of the Resource that describes this job
`JobProgressInfo` `getProgressInfo()` Return the job's progress info
`JobStatus.State` `getState()` Return the job's current state
`String` `getStreamPath()` Full Path of the job's stream, including extension
`void` `requestStateChange(JobStatus.State s)` Request a change in the job's state, which might not take effect immediately, or even be ignored.

### Field Detail

#### STREAM_PATH_SUFFIX

    static final String STREAM_PATH_SUFFIX

Suffix used to build the job's stream path

See Also:
  Constant Field Values

### Method Detail

#### getState

    JobStatus.State getState()

Return the job's current state

#### getCreationTime

    Date getCreationTime()

Return the job's creation time

#### requestStateChange

    void requestStateChange(JobStatus.State s)

Request a change in the job's state, which might not take effect immediately, or even be ignored.

#### getAllowedHumanStateChanges

    JobStatus.State[] getAllowedHumanStateChanges()

Indicate which state changes a human user can currently request, based on our state. For a human user, the only states that make sense to be requested are RUNNING, SUSPENDED and STOPPED, or a subset of those based on current state.

Returns:
  empty array if no state change allowed

#### getPath

    String getPath()

Path of the Resource that describes this job

#### getStreamPath

    String getStreamPath()

Full Path of the job's stream, including extension

#### getProgressInfo

    JobProgressInfo getProgressInfo()

Return the job's progress info